### Constructor

# Gio Settings new_with_backend

since: 2.26

#### Declaration

    GSettings*
    g_settings_new_with_backend (
      const gchar* schema_id,
      GSettingsBackend* backend
    )

#### Description

Creates a new `GSettings` object with the schema specified by `schema_id` and a given `GSettingsBackend`.

Creating a `GSettings` object with a different backend allows accessing settings from a database other than the usual one. For example, it may make sense to pass a backend corresponding to the “defaults” settings database on the system to get a settings object that modifies the system default settings instead of the settings for this user.

Available since: 2.26

#### Parameters

`schema_id`

  Type: `const gchar*`

  The id of the schema.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`backend`

  Type: `GSettingsBackend`

  The `GSettingsBackend` to use.

  The data is owned by the caller of the function.

#### Return value

Type: `GSettings`

A new `GSettings` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.